Name:    ruby-qt4
Summary: Ruby Qt 4 bindings
Version: 4.14.3
Release: %mkrel 2
Group: Graphical desktop/KDE4
License: GPLv2 LGPLv2
URL:     http://www.kde.org
Source:  ftp://ftp.kde.org/pub/kde/stable/%version/src/qtruby-%version.tar.xz
BuildRequires: kdelibs-devel >= %version
BuildRequires: smokeqt-devel >= %version
BuildRequires: phonon-devel
BuildRequires: kde4-macros
BuildRequires: %{_lib}qwt5-devel
BuildRequires: %{_lib}smokeqwt3
BuildRequires: cmake
BuildRequires: qscintilla-qt4-devel
BuildRequires: ruby-devel
BuildRequires: ruby

%description
A qt4 bindings for Ruby language.

%files
%doc COPYING COPYING.LIB README TODO AUTHORS ChangeLog
%_bindir/rbqtapi
%ruby_sitearchdir/qscintilla.so
%ruby_sitearchdir/qtdeclarative.so
%ruby_sitearchdir/qtruby4.so
%ruby_sitearchdir/qtuitools.so
%ruby_sitearchdir/qtwebkit.so
%ruby_sitearchdir/qtscript.so
%ruby_sitearchdir/qttest.so
%ruby_sitearchdir/qwt.so
%ruby_sitelibdir/qwt/qwt.rb
%ruby_sitearchdir/phonon.so
%ruby_sitelibdir/Qt.rb
%ruby_sitelibdir/Qt3.rb
%ruby_sitelibdir/Qt4.rb
%ruby_sitelibdir/Qt
%ruby_sitelibdir/qscintilla
%ruby_sitelibdir/qtdeclarative
%ruby_sitelibdir/qtuitools
%ruby_sitelibdir/qtwebkit
%ruby_sitelibdir/qtscript
%ruby_sitelibdir/qttest
%ruby_sitelibdir/phonon

#------------------------------------------------------------

%define libqtruby4shared_major 2
%define libqtruby4shared %mklibname qtruby4shared %{libqtruby4shared_major}

%package -n %{libqtruby4shared}
Summary: Qt generic bindings library
Group: System/Libraries

%description -n %{libqtruby4shared}
Qt generic bindings library.

%files -n %{libqtruby4shared}
%_kde_libdir/libqtruby4shared.so.%{libqtruby4shared_major}*

#------------------------------------------------------------

%package devel
Summary: Header files for ruby-qt4
Group: Development/Libraries
Requires: ruby-qt4 = %version-%release
Requires: %{libqtruby4shared} = %version-%release

%description devel
ruby-qt4 devel files.

%files devel
%_kde_bindir/rbrcc
%_kde_bindir/rbuic4
%_kde_libdir/libqtruby4shared.so
%_kde_includedir/qtruby
%_kde_datadir/qtruby4/cmake/*.cmake

#------------------------------------------------------------

%prep
%setup -qn qtruby-%version

%build
%cmake_kde4 -DCMAKE_INSTALL_PREFIX=/usr

export CFLAGS="$RPM_OPT_FLAGS -ffast-math"

%make

%install
rm -fr %buildroot
%makeinstall_std -C build


%changelog
* Tue Jul 21 2015 pp <pp> 4.14.3-2pclos2015
- rebuild on 15.04.3

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 4.14.3-1pclos2014
- 4.14.3

* Wed Oct 29 2014 bb <bb> 4.13.3-2pclos2014
- rebuild against new ruby and smoke packages

* Tue Jul 15 2014 pinoc <vogtpet at gmail.com> 4.13.3-1pclos2014
- 4.13.3

* Wed Mar 05 2014 pinoc <vogtpet at gmail.com> 4.12.3-1pclos2014
- 4.12.3

* Tue Jan 07 2014 pinoc <vogtpet at gmail.com> 4.11.5-1pclos2014
- 4.11.5

* Wed Nov 06 2013 pinoc <vogtpet at gmail.com> 4.11.3-1pclos2013
- 4.11.3

* Tue Jul 2 2013 pinoc <vogtpet at gmail.com> 4.10.5-1pclos2013
- 4.10.5

* Tue Jun 5 2013 pinoc <vogtpet at gmail.com> 4.10.4-1pclos2013
- 4.10.4

* Mon Mar 11 2013 pinoc <vogtpet at gmail.com> 4.10.1-1pclos2013
- 4.10.1

* Tue Jan 15 2013 pinoc <vogtpet at gmail.com> 4.9.5-1pclos2013
- 4.9.5
- renamed spec-file

* Thu Jun 07 2012 Neal <nealbrks0 at gmail dot com> 4.8.3-2pclos2012
- rebuild

* Thu May 10 2012 Neal <nealbrks0 at gmail dot com> 4.8.3-1pclos2012
- process

* Sun May 06 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 4.8.3-1_archie_2012
- Initial package
